Web Search

Search for points of interest in an area. If no q is provided, the endpoint will return general points of interest in the given area.

View skill file Skill file for Place search

Authorization

x-subscription-token string header required
The subscription token that was generated for the product.

Query Parameters

radius number
Search radius bias around the given coordinates, in meters. NOTE: This is not strictly the radius of the search (nor the resulting radius of the results), but rather a bias towards results that are closer to the given coordinates. Search is performed globally if no radius is provided.
Min: 0
count integer
Number of results to return. The maximum is 100.
Min: 1 Max: 100 Default: 20
country enum<string>
Two-letter country code (ISO 3166-1 alpha-2) to scope the search.
Default: "US"
Available options: ARAUAT
search_lang enum<string>
Language for the search results.
Default: "en"
Available options: areubn
ui_lang enum<string>
User interface language for the response. Usually <language>-<region>.
Default: "en-US"
Available options: es-ARen-AUde-AT
units enum<string>
Units of measurement for distance values: metric is kilometres, imperial is miles.
Default: "metric"
Available options: imperialmetric
safesearch enum<string>
Safe search level for the query results.
Default: "strict"
Available options: offmoderatestrict
spellcheck boolean
Whether to apply spellcheck before executing the search.
Default: true
geoloc string
Optional geolocation of the user in the format <latitude>x<longitude>. Used to calculate distance values in results.
q string
Query string to search for points of interest in an area. If no q is provided, the endpoint will return general points of interest in the given area.
Default: ""
latitude number
Latitude of the geographical coordinates.
Min: -90 Max: 90
longitude number
Longitude of the geographical coordinates.
Min: -180 Max: 180
location string

Location string to search for points of interest in an area. This is alternative to the latitude and longitude parameters.

  • For locations in US prefer the form <city> <state> <country name>, ie. san francisco ca united states
  • For non-US locations, use the form <city> <country name>, ie. tokyo japan
  • No need for commas or other special chars, capitalization does not matter
  • We cover multiple languages: nueva york instead of new york works, but using English or the most popular language on the target city should work the best

Headers

api-version string
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
accept enum<string>
The default supported media type is application/json.
Default: "application/json"
Available options: application/json*/*
cache-control "no-cache"
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
user-agent string
  • Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36 Android
  • Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1 iOS
  • Mozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36 macOS
  • Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36 Windows
The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.

Responses

200 Successful Response
type "locations"
Default: "locations"
query object nullable
The query object containing the original and potentially spell-corrected query.
query.original string required
The original query that was requested.
query.altered string nullable
The altered query by the spellchecker. This is the query that is used to search.
query.spellcheck_off boolean nullable
Whether the spellchecker is enabled or disabled.
query.show_strict_warning boolean nullable
The value is true if the lack of results is due to a strict safesearch setting. Adult content relevant to the query was found, but was blocked by safesearch.
results object[] nullable
The list of points of interest results for the given quer.
results.title string required
The title of the web page.
results.url string required
The URL where the page is served.
Whether the result is from a local source.
Default: false
Whether the result is from both local and global sources.
Default: false
results.description string nullable
A description for the web page.
Default: ""
results.page_age string nullable
The page’s date, based on its published or last modified date.
results.page_fetched string nullable
A date representing when the web page was last fetched.
The timestamp when the content was fetched.
results.profile object nullable
A profile associated with the web page.
results.profile.name string required
The name of the profile.
results.profile.url string required
The original URL where the profile is available.
results.profile.long_name string nullable
The long name of the profile.
results.profile.img string nullable
The served image URL representing the profile.
results.language string nullable
A language classification for the web page.
Whether the web page is family friendly.
Default: true
results.type "location_result"
Location result type identifier. The value is always location_result.
Default: "location_result"
results.provider_url string required
The complete URL of the provider.
results.coordinates any[] nullable
A list of coordinates associated with the location. This is a lat long represented as a floating point.
The zoom level on the map.
Default: 7
results.thumbnail object nullable
The thumbnail associated with the location.
results.thumbnail.src string required
The served URL of the picture thumbnail.
results.thumbnail.alt string nullable
The alt text for the thumbnail image.
results.thumbnail.height integer nullable
The height of the thumbnail.
results.thumbnail.width integer nullable
The width of the thumbnail.
The background color of the thumbnail.
The original URL of the image.
Whether the thumbnail is a duplicate.
results.thumbnail.theme string nullable
The theme of the thumbnail (e.g., light or dark).
results.postal_address object nullable
The postal address associated with the location.
The type identifying a postal address. The value is always PostalAddress.
Default: "PostalAddress"
The country associated with the location.
The postal code associated with the location.
The street address associated with the location.
The region associated with the location. This is usually a state.
The address locality or subregion associated with the location.
The displayed address string.
results.opening_hours object nullable
The opening hours, if it is a business, associated with the location.
The current day opening hours. Can have two sets of opening hours.
results.opening_hours.days object[][] nullable
The opening hours for the whole week.
results.contact object nullable
The contact of the business associated with the location.
results.contact.email string nullable
The email address.
results.contact.telephone string nullable
The telephone number.
results.price_range string nullable
A display string used to show the price classification for the business.
results.rating object nullable
The ratings of the business.
The current value of the rating.
Min: 0
Best rating received.
results.rating.reviewCount integer nullable
The number of reviews associated with the rating.
results.rating.profile object nullable
The profile associated with the rating.
Whether the rating is coming from Tripadvisor.
Default: false
results.distance object nullable
The distance of the location from the client.
results.distance.value number required
The quantity of the unit.
results.distance.units string required
The name of the unit associated with the quantity.
results.profiles object[] nullable
Profiles associated with the business.
The type representing the source of data. This is usually external.
Default: "external"
results.profiles.name string required
The name of the data provider. This can be a domain.
results.profiles.url string required
The URL where the information is coming from.
The long name for the data provider.
results.profiles.img string nullable
The served URL for the image data.
results.reviews object nullable
Aggregated reviews from various sources relevant to the business.
results.reviews.results object[] required
A list of trip advisor reviews for the entity.
A URL to a web page where more information on the result can be seen.
Any reviews available in a foreign language.
results.pictures object nullable
A bunch of pictures associated with the business.
results.pictures.viewMoreUrl string nullable required
A URL to view more pictures.
results.pictures.results object[] required
A list of thumbnail results.
results.action object nullable
An action to be taken.
results.action.type string required
The type representing the action.
results.action.url string required
A URL representing the action to be taken.
results.serves_cuisine string[] nullable
A list of cuisine categories served.
A list of categories.
Default: []
results.icon_category string nullable
An icon category.
results.timezone string nullable
IANA timezone identifier.
results.timezone_offset integer nullable
The UTC offset of the timezone.
results.id string nullable
A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours.
results.results object[] nullable
Web results related to this location.
results.results.title string required
The title of the web page.
results.results.url string required
The URL where the page is served.
Whether the result is from a local source.
Default: false
Whether the result is from both local and global sources.
Default: false
A description for the web page.
Default: ""
results.results.page_age string nullable
The page’s date, based on its published or last modified date.
A date representing when the web page was last fetched.
The timestamp when the content was fetched.
results.results.profile object nullable
A profile associated with the web page.
results.results.language string nullable
A language classification for the web page.
Whether the web page is family friendly.
Default: true
results.results.meta_url object required
Aggregated information about the URL.
cities object[] nullable
The list of city results for the given query.
cities.type "city"
City result type identifier. The value is always city.
Default: "city"
cities.name string required
The name of the city.
cities.country string required
The country of the city.
cities.coordinates any[] required
A pair of coordinates (lat, long) for the city.
cities.thumbnail object required
Primary image for the city.
cities.thumbnail.src string required
The served URL of the picture thumbnail.
cities.thumbnail.alt string nullable
The alt text for the thumbnail image.
cities.thumbnail.height integer nullable
The height of the thumbnail.
cities.thumbnail.width integer nullable
The width of the thumbnail.
cities.thumbnail.bg_color string nullable
The background color of the thumbnail.
cities.thumbnail.original string nullable
The original URL of the image.
cities.thumbnail.duplicated boolean nullable
Whether the thumbnail is a duplicate.
cities.thumbnail.theme string nullable
The theme of the thumbnail (e.g., light or dark).
countries object[] nullable
The list of country results for the given query.
countries.type "country"
Country result type identifier. The value is always country.
Default: "country"
countries.name string required
The name of the country.
countries.country string required
The country of the result.
countries.coordinates any[] required
A pair of coordinates (lat, long) for the country.
countries.thumbnail object required
Primary image for the country.
countries.thumbnail.src string required
The served URL of the picture thumbnail.
countries.thumbnail.alt string nullable
The alt text for the thumbnail image.
countries.thumbnail.height integer nullable
The height of the thumbnail.
countries.thumbnail.width integer nullable
The width of the thumbnail.
The background color of the thumbnail.
The original URL of the image.
Whether the thumbnail is a duplicate.
countries.thumbnail.theme string nullable
The theme of the thumbnail (e.g., light or dark).
regions object[] nullable
The list of region results for the given query.
regions.type "region"
Region result type identifier. The value is always region.
Default: "region"
regions.name string required
The name of the region.
regions.country string required
The country of the region.
regions.coordinates any[] required
A pair of coordinates (lat, long) for the region.
regions.thumbnail object required
Primary image for the region.
regions.thumbnail.src string required
The served URL of the picture thumbnail.
regions.thumbnail.alt string nullable
The alt text for the thumbnail image.
regions.thumbnail.height integer nullable
The height of the thumbnail.
regions.thumbnail.width integer nullable
The width of the thumbnail.
The background color of the thumbnail.
The original URL of the image.
Whether the thumbnail is a duplicate.
regions.thumbnail.theme string nullable
The theme of the thumbnail (e.g., light or dark).
neighborhoods object[] nullable
The list of neighborhood results for the given query.
neighborhoods.type "neighborhood"
Neighborhood result type identifier. The value is always neighborhood.
Default: "neighborhood"
neighborhoods.name string required
The name of the neighborhood.
neighborhoods.country string required
The country of the neighborhood.
A pair of coordinates (lat, long) for the neighborhood.
neighborhoods.thumbnail object required
Primary image for the neighborhood.
The served URL of the picture thumbnail.
The alt text for the thumbnail image.
The height of the thumbnail.
The width of the thumbnail.
The background color of the thumbnail.
The original URL of the image.
Whether the thumbnail is a duplicate.
The theme of the thumbnail (e.g., light or dark).
addresses object[] nullable
The list of address results for the given query.
addresses.type enum<string>
Result type identifier. address when the result refers to an explicit street + number, street when it refers to the street itself.
Default: "address"
Available options: addressstreet
addresses.name string required
The name of the address.
addresses.coordinates any[] required
A pair of coordinates (lat, long) for the address.
addresses.pois object[]
POIs located at this address.
Default: []
addresses.pois.title string required
The title of the web page.
addresses.pois.url string required
The URL where the page is served.
Whether the result is from a local source.
Default: false
Whether the result is from both local and global sources.
Default: false
A description for the web page.
Default: ""
addresses.pois.page_age string nullable
The page’s date, based on its published or last modified date.
A date representing when the web page was last fetched.
The timestamp when the content was fetched.
addresses.pois.profile object nullable
A profile associated with the web page.
addresses.pois.language string nullable
A language classification for the web page.
Whether the web page is family friendly.
Default: true
addresses.pois.type "location_result"
Location result type identifier. The value is always location_result.
Default: "location_result"
The complete URL of the provider.
A list of coordinates associated with the location. This is a lat long represented as a floating point.
The zoom level on the map.
Default: 7
addresses.pois.thumbnail object nullable
The thumbnail associated with the location.
The postal address associated with the location.
The opening hours, if it is a business, associated with the location.
addresses.pois.contact object nullable
The contact of the business associated with the location.
A display string used to show the price classification for the business.
addresses.pois.rating object nullable
The ratings of the business.
addresses.pois.distance object nullable
The distance of the location from the client.
addresses.pois.profiles object[] nullable
Profiles associated with the business.
addresses.pois.reviews object nullable
Aggregated reviews from various sources relevant to the business.
addresses.pois.pictures object nullable
A bunch of pictures associated with the business.
addresses.pois.action object nullable
An action to be taken.
A list of cuisine categories served.
A list of categories.
Default: []
An icon category.
addresses.pois.timezone string nullable
IANA timezone identifier.
The UTC offset of the timezone.
addresses.pois.id string nullable
A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours.
addresses.pois.results object[] nullable
Web results related to this location.
POIs located nearby this address.
Default: []
The title of the web page.
The URL where the page is served.
Whether the result is from a local source.
Default: false
Whether the result is from both local and global sources.
Default: false
A description for the web page.
Default: ""
The page’s date, based on its published or last modified date.
A date representing when the web page was last fetched.
The timestamp when the content was fetched.
A profile associated with the web page.
A language classification for the web page.
Whether the web page is family friendly.
Default: true
addresses.pois_nearby.type "location_result"
Location result type identifier. The value is always location_result.
Default: "location_result"
The complete URL of the provider.
A list of coordinates associated with the location. This is a lat long represented as a floating point.
The zoom level on the map.
Default: 7
The thumbnail associated with the location.
The postal address associated with the location.
The opening hours, if it is a business, associated with the location.
The contact of the business associated with the location.
A display string used to show the price classification for the business.
The ratings of the business.
The distance of the location from the client.
Profiles associated with the business.
Aggregated reviews from various sources relevant to the business.
A bunch of pictures associated with the business.
An action to be taken.
A list of cuisine categories served.
A list of categories.
Default: []
An icon category.
IANA timezone identifier.
The UTC offset of the timezone.
addresses.pois_nearby.id string nullable
A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours.
Web results related to this location.
Suggested zoom level on the map.
Default: 15
addresses.distance object nullable
Distance from the user’s geolocation, if available.
addresses.distance.value number required
The quantity of the unit.
addresses.distance.units string required
The name of the unit associated with the quantity.
addresses.postal_address object nullable
Structured postal address.
The type identifying a postal address. The value is always PostalAddress.
Default: "PostalAddress"
The country associated with the location.
The postal code associated with the location.
The street address associated with the location.
The region associated with the location. This is usually a state.
The address locality or subregion associated with the location.
The displayed address string.
streets object[] nullable
The list of street results for the given query.
streets.type enum<string>
Result type identifier. address when the result refers to an explicit street + number, street when it refers to the street itself.
Default: "address"
Available options: addressstreet
streets.name string required
The name of the address.
streets.coordinates any[] required
A pair of coordinates (lat, long) for the address.
streets.pois object[]
POIs located at this address.
Default: []
streets.pois.title string required
The title of the web page.
streets.pois.url string required
The URL where the page is served.
Whether the result is from a local source.
Default: false
Whether the result is from both local and global sources.
Default: false
streets.pois.description string nullable
A description for the web page.
Default: ""
streets.pois.page_age string nullable
The page’s date, based on its published or last modified date.
streets.pois.page_fetched string nullable
A date representing when the web page was last fetched.
The timestamp when the content was fetched.
streets.pois.profile object nullable
A profile associated with the web page.
streets.pois.language string nullable
A language classification for the web page.
Whether the web page is family friendly.
Default: true
streets.pois.type "location_result"
Location result type identifier. The value is always location_result.
Default: "location_result"
The complete URL of the provider.
streets.pois.coordinates any[] nullable
A list of coordinates associated with the location. This is a lat long represented as a floating point.
The zoom level on the map.
Default: 7
streets.pois.thumbnail object nullable
The thumbnail associated with the location.
The postal address associated with the location.
The opening hours, if it is a business, associated with the location.
streets.pois.contact object nullable
The contact of the business associated with the location.
streets.pois.price_range string nullable
A display string used to show the price classification for the business.
streets.pois.rating object nullable
The ratings of the business.
streets.pois.distance object nullable
The distance of the location from the client.
streets.pois.profiles object[] nullable
Profiles associated with the business.
streets.pois.reviews object nullable
Aggregated reviews from various sources relevant to the business.
streets.pois.pictures object nullable
A bunch of pictures associated with the business.
streets.pois.action object nullable
An action to be taken.
streets.pois.serves_cuisine string[] nullable
A list of cuisine categories served.
A list of categories.
Default: []
An icon category.
streets.pois.timezone string nullable
IANA timezone identifier.
The UTC offset of the timezone.
streets.pois.id string nullable
A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours.
streets.pois.results object[] nullable
Web results related to this location.
POIs located nearby this address.
Default: []
The title of the web page.
streets.pois_nearby.url string required
The URL where the page is served.
Whether the result is from a local source.
Default: false
Whether the result is from both local and global sources.
Default: false
A description for the web page.
Default: ""
The page’s date, based on its published or last modified date.
A date representing when the web page was last fetched.
The timestamp when the content was fetched.
A profile associated with the web page.
A language classification for the web page.
Whether the web page is family friendly.
Default: true
streets.pois_nearby.type "location_result"
Location result type identifier. The value is always location_result.
Default: "location_result"
The complete URL of the provider.
A list of coordinates associated with the location. This is a lat long represented as a floating point.
The zoom level on the map.
Default: 7
The thumbnail associated with the location.
The postal address associated with the location.
The opening hours, if it is a business, associated with the location.
The contact of the business associated with the location.
A display string used to show the price classification for the business.
The ratings of the business.
The distance of the location from the client.
streets.pois_nearby.profiles object[] nullable
Profiles associated with the business.
Aggregated reviews from various sources relevant to the business.
A bunch of pictures associated with the business.
An action to be taken.
A list of cuisine categories served.
A list of categories.
Default: []
An icon category.
IANA timezone identifier.
The UTC offset of the timezone.
streets.pois_nearby.id string nullable
A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours.
streets.pois_nearby.results object[] nullable
Web results related to this location.
Suggested zoom level on the map.
Default: 15
streets.distance object nullable
Distance from the user’s geolocation, if available.
streets.distance.value number required
The quantity of the unit.
streets.distance.units string required
The name of the unit associated with the quantity.
streets.postal_address object nullable
Structured postal address.
The type identifying a postal address. The value is always PostalAddress.
Default: "PostalAddress"
The country associated with the location.
The postal code associated with the location.
The street address associated with the location.
The region associated with the location. This is usually a state.
The address locality or subregion associated with the location.
The displayed address string.
mixed object[]
The list of mixed results for the given query.
Default: []
mixed.type string required
The type of the result.
mixed.index integer nullable
The 0th based index where the result should be placed.
mixed.all boolean
Whether to put all the results from the type at specific position.
Default: false
location object nullable
Information about location resolved from either the coordinates of the location string.
location.coordinates any[] required
The latitude and longitude of the location.
location.name string nullable
The name of the location.
location.country string nullable
The two letter country code of the location.
400 Bad Request
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
404 Not Found
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
422 Unprocessable Entity
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
429 Too Many Requests
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0